Name:           python-oarepo-model-builder
Version:        4.0.102
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A utility library that generates OARepo required data model files from a JSON specification file

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/oarepo-model-builder/
Source:         %{pypi_source oarepo_model_builder}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'oarepo-model-builder' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-oarepo-model-builder
Summary:        %{summary}

%description -n python3-oarepo-model-builder %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-oarepo-model-builder devs,tests


%prep
%autosetup -p1 -n oarepo_model_builder-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x devs,tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-oarepo-model-builder -f %{pyproject_files}


%changelog
%autochangelog